## pbh5tools 0.8.0+dfsg

=== Makefile ===
.PHONY: doc
SHELL = /bin/bash -e

all: build install

build:
	python setup.py build --executable="/usr/bin/env python"

bdist:
	python setup.py build --executable="/usr/bin/env python"
	python setup.py bdist --formats=egg

install:
	python setup.py install

develop:
	python setup.py develop

test: examples
	find tests -name "*.py" | xargs nosetests
	find tests/cram -name "*.t" | xargs cram 
doc:
	sphinx-apidoc -T -f -o doc src/ && cd doc && make html

examples:
	cram doc/examples.t
	sed 's/^  /    /' doc/examples.t > doc/examples.md

example-rendered: examples
	pandoc doc/examples.md -o doc/examples.html
	pandoc -s -S -i -t slidy --mathjax doc/examples.md -o doc/example-slides.html

doc-clean:
	cd doc && rm -rf modules.rst pbtools.* bash5lib.* cmph5tools.* \
	bash5tools.* _templates _static _build searchindex.js objects.inv

clean: doc-clean
	rm -rf build/;\
	find . -name "*.egg-info" | xargs rm -rf;\
	find . -name "*.pyc" | xargs rm -rf;\
	rm -rf dist/
	rm -f nosetests.xml

pip-install:
	@which pip > /dev/null
	@pip freeze|grep 'pbh5tools=='>/dev/null \
      && ( pip uninstall -y pbh5tools \
        || pip uninstall -y pbtools.pbh5tools ) \
      || true
	@pip install --no-index \
          --install-option="--install-scripts=$(PREFIX)/bin" \
          ./

=== debian/changelog ===
pbh5tools (0.8.0+dfsg-5~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Wed, 01 Jun 2016 23:16:23 -0700

pbh5tools (0.8.0+dfsg-5) unstable; urgency=medium

  * Rename source package to match primary binary package
  * Update email address and bump copyright year
  * Update VCS URLs
  * Bump Standards-Version
  * Fix path reference for multiarch-renamed compiled extension

 -- Afif Elghraoui <afif@debian.org>  Sun, 20 Mar 2016 00:50:26 -0700

python-pbh5tools (0.8.0+dfsg-4) unstable; urgency=medium

  * Split command-line executables into a separate binary package
  * Fix broken unit test (Closes: #814210)

 -- Afif Elghraoui <afif@ghraoui.name>  Sun, 14 Feb 2016 23:13:52 -0800

python-pbh5tools (0.8.0+dfsg-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Thu, 03 Dec 2015 21:59:38 -0800

python-pbh5tools (0.8.0+dfsg-3) unstable; urgency=low

  * Don't install LICENSES.txt file
  * Ignore cram test results because of spurious failures

 -- Afif Elghraoui <afif@ghraoui.name>  Sat, 28 Nov 2015 21:51:12 -0800

python-pbh5tools (0.8.0+dfsg-2) unstable; urgency=medium

  * Make package short descriptions unique
  * Add manpage symlinks for scripts with language extensions.
  * Enable cram tests at build time.
  * Remove unnecessary build-dependency on pandoc.
  * Include examples.

 -- Afif Elghraoui <afif@ghraoui.name>  Sun, 15 Nov 2015 00:26:53 -0800

python-pbh5tools (0.8.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #787982)
  * Added manpages for executable scripts
  * Set sphinx documentation theme to default from original PacBio theme
  * Made symlinks from upstream executable name to version without .py suffix

 -- Afif Elghraoui <afif@ghraoui.name>  Sat, 15 Aug 2015 15:22:56 -0700

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

BINDIR=$(CURDIR)/debian/pbh5tools/usr/bin

export PYBUILD_NAME = pbh5tools

%:
	LC_ALL=C.UTF-8 dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc html

override_dh_install:
	dh_install
	# We do this here rather than in .install files so that debhelper
	# takes care of the #!/usr/bin/env lines for us
	mkdir -p $(BINDIR)
	mv debian/python-pbh5tools/usr/bin/bash5tools.py $(BINDIR)/bash5tools
	mv debian/python-pbh5tools/usr/bin/cmph5tools.py $(BINDIR)/cmph5tools

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PATH=$(CURDIR)/build/scripts-2.7:$$PATH $(MAKE) test" \
	  dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) clean

## pbh5tools 0.8.0+git20170929.58d54ff+dfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pbh5tools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pbh5tools.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pbh5tools"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pbh5tools"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pbh5tools (0.8.0+git20170929.58d54ff+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:14:44 +0800

pbh5tools (0.8.0+git20170929.58d54ff+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/watch: use git mode
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Build-Depends: python-h5py
  * DEP3

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jul 2018 15:58:44 +0200

=== debian/control ===
Source: pbh5tools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python,
               python-setuptools,
               python-pbcore,
               python-sphinx,
               python-nose,
               python-h5py,
               python-cram
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/med-team/pbh5tools
Vcs-Git: https://salsa.debian.org/med-team/pbh5tools.git
Homepage: https://github.com/PacificBiosciences/pbh5tools

Package: pbh5tools
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-pbh5tools (>= ${binary:Version}),
         python-pkg-resources
Description: tools for manipulating Pacific Biosciences HDF5 files
 This package provides functionality for manipulating and extracting data
 from cmp.h5 and bas.h5 files produced by the Pacific Biosciences sequencers.
 cmp.h5 files contain alignment information while bas.h5 files contain
 base-call information.
 .
 This package is part of the SMRTAnalysis suite.

Package: python-pbh5tools
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: tools for manipulating Pacific Biosciences HDF5 files -- Python 2 library
 This package provides functionality for manipulating and extracting data
 from cmp.h5 and bas.h5 files produced by the Pacific Biosciences sequencers.
 cmp.h5 files contain alignment information while bas.h5 files contain
 base-call information.
 .
 pbh5tools is part of the SMRTAnalysis suite. This package provides the
 Python 2 backend library

Package: python-pbh5tools-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Description: tools for manipulating HDF5 files produced by Pacific Biosciences (doc)
 This package provides functionality for manipulating and extracting data
 from cmp.h5 and bas.h5 files produced by the Pacific Biosciences sequencers.
 cmp.h5 files contain alignment information while bas.h5 files contain
 base-call information.
 .
 pbh5tools is part of the SMRTAnalysis suite. This package provides the
 API documentation

=== debian/watch ===
version=4

# Upstream is not tagging releases regularly - thus we use mode=git
opts="mode=git,pretty=0.8.0+git%cd.%h,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/PacificBiosciences/pbh5tools.git HEAD
